Skip to content

/fal-ai/veo3

POST https://www.kkiai.com/fal-ai/veo3

Official documentation: https://fal.ai/models/fal-ai/veo3

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value should be the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
aspect_ratiostringOptionalThe aspect ratio of the generated video. If set to 1:1, the video will be outpainted. Default: "16:9", Range: [16:9,9:16,1:1]
durationstringOptionalThe duration of the generated video in seconds. Default: "8s"
enhance_promptbooleanOptionalWhether to enhance video generation. Default: true
auto_fixbooleanOptionalWhether to automatically attempt to fix prompts that fail content policy or other validation checks by rewriting them. Default: true
resolutionstringOptionalThe resolution of the generated video. Default: "720p", Range: [720p, 1080p]
generate_audiobooleanOptionalWhether to generate audio for the video. If false, it will reduce credits by 33%. Default: true

Request Example

json
{
  "prompt": "A casual street interview on a busy New York City sidewalk in the afternoon. The interviewer holds a plain, unbranded microphone and asks: Have you seen Google's new Veo3 model It is a super good model. Person replies: Yeah I saw it, it's already available on fal. It's crazy good.",
  "aspect_ratio": "16:9",
  "duration": "8s",
  "enhance_prompt": true,
  "auto_fix": true,
  "resolution": "720p",
  "generate_audio": true
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/veo3' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "A casual street interview on a busy New York City sidewalk in the afternoon. The interviewer holds a plain, unbranded microphone and asks: Have you seen Google'\''s new Veo3 model It is a super good model. Person replies: Yeah I saw it, it'\''s already available on fal. It'\''s crazy good.",
  "aspect_ratio": "16:9",
  "duration": "8s",
  "enhance_prompt": true,
  "auto_fix": true,
  "resolution": "720p",
  "generate_audio": true
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "57b19308-8d3e-4196-b8bf-5ca80fa90827",
    "response_url": "https://queue.fal.run/fal-ai/veo3/requests/57b19308-8d3e-4196-b8bf-5ca80fa90827",
    "status_url": "https://queue.fal.run/fal-ai/veo3/requests/57b19308-8d3e-4196-b8bf-5ca80fa90827/status",
    "cancel_url": "https://queue.fal.run/fal-ai/veo3/requests/57b19308-8d3e-4196-b8bf-5ca80fa90827/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}